Get Detail
curl --request GET \
--url https://api.agentpowers.ai/v1/detail/{slug}import requests
url = "https://api.agentpowers.ai/v1/detail/{slug}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.agentpowers.ai/v1/detail/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"source": "<string>",
"slug": "<string>",
"title": "<string>",
"description": "<string>",
"long_description": "<string>",
"category": "<string>",
"type": "<string>",
"price_cents": 0,
"currency": "<string>",
"version": "<string>",
"security_status": "<string>",
"security_score": 123,
"trust_level": "<string>",
"download_count": 123,
"view_count": 0,
"install_count": 0,
"published_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"archived_at": "<string>",
"author": {
"display_name": "<string>",
"github_username": "<string>",
"display_name_slug": "<string>",
"avatar_url": "<string>",
"verified": false
},
"source_url": "<string>",
"source_downloads": 123,
"source_stars": 123,
"source_comments": 123,
"source_versions_count": 123,
"source_installs": 123,
"rating_average": 123,
"rating_count": 0,
"ap_security_status": "<string>",
"ap_security_score": 123,
"ap_scan_hash": "<string>",
"ap_scanned_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}detail
Get Detail
Get full detail for a skill by slug.
Tries native DB first, then external sources. Test-user authored skills are hidden from public callers but visible to their own author.
GET
/
v1
/
detail
/
{slug}
Get Detail
curl --request GET \
--url https://api.agentpowers.ai/v1/detail/{slug}import requests
url = "https://api.agentpowers.ai/v1/detail/{slug}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.agentpowers.ai/v1/detail/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"source": "<string>",
"slug": "<string>",
"title": "<string>",
"description": "<string>",
"long_description": "<string>",
"category": "<string>",
"type": "<string>",
"price_cents": 0,
"currency": "<string>",
"version": "<string>",
"security_status": "<string>",
"security_score": 123,
"trust_level": "<string>",
"download_count": 123,
"view_count": 0,
"install_count": 0,
"published_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"archived_at": "<string>",
"author": {
"display_name": "<string>",
"github_username": "<string>",
"display_name_slug": "<string>",
"avatar_url": "<string>",
"verified": false
},
"source_url": "<string>",
"source_downloads": 123,
"source_stars": 123,
"source_comments": 123,
"source_versions_count": 123,
"source_installs": 123,
"rating_average": 123,
"rating_count": 0,
"ap_security_status": "<string>",
"ap_security_score": 123,
"ap_scan_hash": "<string>",
"ap_scanned_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Path Parameters
Query Parameters
Response
Successful Response
Show child attributes
Show child attributes
Was this page helpful?